Bug 115350 - devlabel not picking up partition on usbstick
devlabel not picking up partition on usbstick
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devlabel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 21:12 EST by Jack Bowling
Modified: 2014-03-16 22:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 18:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (5.33 KB, text/plain)
2004-02-10 21:14 EST, Jack Bowling
no flags Details

  None (edit)
Description Jack Bowling 2004-02-10 21:12:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Latest devlabel code will not work with a Fujifilm USBDrive formatted
with one FAT16 partition. However, versions *before* devlabel-0.36.06
work well with this device.







Version-Release number of selected component (if applicable):
devlabel-0.45.04-1

How reproducible:
Always

Steps to Reproduce:
See attachement.
    

Actual Results:  See attachment.

Expected Results:  A devlabel should have been assigned to the usbstick.

Additional info:

See attachment.
Comment 1 Jack Bowling 2004-02-10 21:14:30 EST
Created attachment 97576 [details]
test case

Description of steps to reproduce bug.
Comment 2 Gary Lerhaupt 2004-02-19 12:14:28 EST
Can you check your /var/log/messages to see if devlabel is saying 
something about a devlabel ignore_list regarding the partition that 
you are attempting to use devlabel with.  In the newer versions of 
devlabel, I have implemented this ignore_list to reduce the number of 
kernel errors people were experiencing with devlabel.  Basically, if 
devlabel sees there is something wrong with the partition table of 
the storage device, it won't allow you to use it with devlabel.

Try doing an sfdisk -V on the usbkey and let me know the results.
Comment 3 Jack Bowling 2004-02-20 11:18:33 EST
No output from devlabel in the logs about an ignore_list, Gary. But I
did discover that sfdisk refuses to read the usbkey. Says "partition 1
extends past end of disk." So I reformatted with one vfat partition
but the same thing: devlabel sees the UUID on the device but refuses
to mount the partition. Too bad my other CF devices wouldn't work with
the older devlabel code cuz it really seems that having the ability to
specify partition number is the key to making this work.
Comment 4 Bill Nottingham 2005-01-21 18:19:20 EST
At this point FC1 has reached its end of life, and it is unlikely that these
issues will be looked at for FC2's devlabel.

Note You need to log in before you can comment on or make changes to this bug.